(function($) {
    function resetColorsToDefault() {
        // Define default values for your color settings
        const defaultColors = {
            'background_color': '#ffffff',
            'motivational_speaker_primary_color': '#eb5151',
            'motivational_speaker_heading_color': '#222222',
            'motivational_speaker_text_color': '#757575',
            'motivational_speaker_primary_fade': '#fff5f3',
            'motivational_speaker_footer_bg' :'#222222',
            'motivational_speaker_post_bg': '#ffffff',
        };

        // Iterate over each setting and set it to its default value
        for (let settingId in defaultColors) {
            wp.customize(settingId).set(defaultColors[settingId]);
        }

        // Optionally refresh the preview
        wp.customize.previewer.refresh();
    }

    // Attach reset function to global scope
    window.resetColorsToDefault = resetColorsToDefault;

    $(document).ready(function() {
        $('.color-reset-btn').val('RESET'); // This adds the 'RESET' text inside the button
    });
})(jQuery);